Bug 1135528 (kwrited) - Review Request: kwrited - KDE Write Daemon
Summary: Review Request: kwrited - KDE Write Daemon
Keywords:
Status: CLOSED RAWHIDE
Alias: kwrited
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-08-29 14:21 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-29 15:00:01 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 14:21:24 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kwrited.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kwrited-5.0.1-1.fc20.src.rpm
Description: KDE Write Daemon
Fedora Account System Username: dvratil

Comment 1 Christopher Meng 2014-08-30 08:36:13 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". Detailed output of licensecheck:

GPL (v2 or later)
-----------------
kwrited-5.0.1/kwrited.cpp
kwrited-5.0.1/kwrited.h

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/knotifications5

A bug of filesystem package?

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/knotifications5
[?]: %build honors applicable compiler flags or justifies otherwise.

O3 found. Like another review, is it expected?

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/xdg/autostart/kwrited-
     autostart.desktop
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: kwrited-5.0.1-1.fc22.i686.rpm
          kwrited-5.0.1-1.fc22.src.rpm
kwrited.i686: W: obsolete-not-provided kde-workspace
kwrited.i686: E: missing-call-to-setgroups /usr/bin/kwrited
kwrited.i686: W: conffile-without-noreplace-flag /etc/xdg/autostart/kwrited-autostart.desktop
kwrited.i686: W: no-manual-page-for-binary kwrited
kwrited.src: W: strange-permission kwrited-5.0.1.tar.xz 0640L
2 packages and 0 specfiles checked; 1 errors, 4 warnings.


--> kwrited.i686: E: missing-call-to-setgroups /usr/bin/kwrited

You should double check this. Others are false positives.

Rpmlint (installed packages)
----------------------------
# rpmlint kwrited
kwrited.i686: W: obsolete-not-provided kde-workspace
kwrited.i686: E: missing-call-to-setgroups /usr/bin/kwrited
kwrited.i686: W: conffile-without-noreplace-flag /etc/xdg/autostart/kwrited-autostart.desktop
kwrited.i686: W: no-manual-page-for-binary kwrited
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
kwrited (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    config(kwrited)
    kf5-filesystem
    libKF5Auth.so.5
    libKF5Bookmarks.so.5
    libKF5Codecs.so.5
    libKF5Completion.so.5
    libKF5ConfigCore.so.5
    libKF5ConfigGui.so.5
    libKF5ConfigWidgets.so.5
    libKF5CoreAddons.so.5
    libKF5Crash.so.5
    libKF5GuiAddons.so.5
    libKF5I18n.so.5
    libKF5IconThemes.so.5
    libKF5ItemViews.so.5
    libKF5JobWidgets.so.5
    libKF5KDELibs4Support.so.5
    libKF5KIOCore.so.5
    libKF5KIOFileWidgets.so.5
    libKF5KIOWidgets.so.5
    libKF5Notifications.so.5
    libKF5Parts.so.5
    libKF5Pty.so.5
    libKF5Service.so.5
    libKF5Solid.so.5
    libKF5SonnetUi.so.5
    libKF5TextWidgets.so.5
    libKF5UnitConversion.so.5
    libKF5WidgetsAddons.so.5
    libKF5WindowSystem.so.5
    libKF5XmlGui.so.5
    libQt5Core.so.5
    libQt5DBus.so.5
    libQt5Gui.so.5
    libQt5Network.so.5
    libQt5PrintSupport.so.5
    libQt5Widgets.so.5
    libQt5Xml.so.5
    libc.so.6
    libgcc_s.so.1
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
kwrited:
    config(kwrited)
    kwrited
    kwrited(x86-32)



Source checksums
----------------
http://download.kde.org/stable/plasma/5.0.1/kwrited-5.0.1.tar.xz :
  CHECKSUM(SHA256) this package     : 5182bd14ac3758a9497e3a66600fbb9aafce53a551da19f9f9c717c77f51a0cb
  CHECKSUM(SHA256) upstream package : 5182bd14ac3758a9497e3a66600fbb9aafce53a551da19f9f9c717c77f51a0cb


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn kwrited-5.0.1-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Rex Dieter 2015-01-04 16:34:45 UTC
Dan, ping.

Comment 3 Daniel Vrátil 2015-01-06 15:08:28 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kwrited.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kwrited-5.1.2-3.fc20.src.rpm

- added %config
- added Requires: kf5-knotifications (will own /usr/share/knotifications5 once I fix it)
- added patch to call setgroups(0, 0)

Comment 4 Daniel Vrátil 2015-01-16 11:05:08 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kwrited.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kwrited-5.1.91-1.beta.fc21.src.rpm

- updated to latest release
- better Url
- make install/fast instead of %make_install

Comment 5 Daniel Vrátil 2015-01-26 18:33:46 UTC
Ping?

Comment 6 Rex Dieter 2015-01-26 19:07:12 UTC
I'll pick up the review if there's no response by tomorrow.

Comment 7 Rex Dieter 2015-01-29 13:54:14 UTC
looks like reviewer is non-responsive, I'll pick it up.

Comment 8 Rex Dieter 2015-01-29 14:00:29 UTC
naming: ok

license: ok

sources: ok
02534cf9698a17aa773c47cb0b7c7280  kwrited-5.1.95.tar.xz

1. SHOULD remove %config from autostart file, that's not really wanted or needed  for autostart items (can fix post-import)

scriptlets: ok (n/a)

macros: ok


APPROVED

Comment 9 Daniel Vrátil 2015-01-29 14:06:06 UTC
New Package SCM Request
=======================
Package Name: kwrited
Short Description: KDE Write Daemon
Upstream URL: https://projects.kde.org/projects/kde/workspace/kwrited
Owners: group::kde-sig
Branches:
InitialCC:

Comment 10 Gwyn Ciesla 2015-01-29 14:34:01 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.